package com.pnkx.framework.notify;

/**
 * NotifyContext
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2024/4/30 17:09
 * @description 通知策略上下文
 */
public class NotifyContext {
    private final NotifyStrategy strategy;

    public NotifyContext(NotifyStrategy strategy) {
        this.strategy = strategy;
    }

    public void send(String recipient, String message) throws Exception {
        strategy.sendNotification(recipient, message);
    }
}
