package com.pnkx.framework.notify;

/**
 * NotifyStrategy
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2024/4/30 16:50
 * @description 通知接口
 */
public interface NotifyStrategy {
    /**
     * 发送通知
     * @param recipient 接收者
     * @param message 消息内容
     */
    void sendNotification(String recipient, String message) throws Exception;
}
