package com.pnkx.framework.notify.impl;

import com.pnkx.common.exception.ServiceException;
import com.pnkx.common.utils.StringUtils;
import com.pnkx.common.utils.email.EmailUtils;
import com.pnkx.framework.notify.NotifyStrategy;
import com.pnkx.system.domain.SysEmail;
import com.pnkx.system.service.ISysEmailService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.mail.internet.MimeMessage;
import java.util.Arrays;
import java.util.Objects;
import java.util.regex.Pattern;

/**
 * EmailNotifyStrategy
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2024/4/30 16:56
 * @description 邮箱方式
 */
@Component
public class EmailNotifyStrategy implements NotifyStrategy {

    @Override
    public void sendNotification(String recipient, String message) throws Exception {

    }
}
